export { }

declare module "@mantine/core" {
    type SurrealVariant = "surreal";
    type SurrealInputVariant = SurrealVariant | "gradient";
    interface ActionIconProps {
        variant?: import("@mantine/core").ActionIconVariant | SurrealVariant;
    }
    interface ThemeIconProps {
        variant?: import("@mantine/core").ThemeIconVariant | SurrealVariant;
    }
    interface ButtonProps {
        variant?: import("@mantine/core").ButtonVariant | SurrealVariant;
    }
    interface TextInputProps {
        variant?: import("@mantine/core").InputVariant | SurrealInputVariant;
    }
    interface InputBaseProps {
        variant?: import("@mantine/core").InputVariant | SurrealInputVariant;
    }
    interface AutocompleteProps {
        variant?: import("@mantine/core").InputVariant | SurrealInputVariant;
    }
    interface TextareaProps {
        variant?: import("@mantine/core").InputVariant | SurrealInputVariant;
    }
    interface NumberInputProps {
        variant?: import("@mantine/core").InputVariant | SurrealInputVariant;
    }
    interface TagsInputProps {
        variant?: import("@mantine/core").InputVariant | SurrealInputVariant;
    }
    interface MultiSelectProps {
        variant?: import("@mantine/core").InputVariant | SurrealInputVariant;
    }
    interface DividerProps {
        variant?: import("@mantine/core").DividerVariant | SurrealVariant;
    }
    interface CloseButtonProps {
        variant?: import("@mantine/core").CloseButtonVariant | SurrealVariant;
    }
    interface AnchorProps {
        variant?: import("@mantine/core").AnchorVariant | SurrealVariant | "glow" | "vibrant";
    }
    interface SelectProps {
        variant?: import("@mantine/core").InputVariant | SurrealInputVariant;
    }
    interface BadgeProps {
        variant?: import("@mantine/core").BadgeVariant | SurrealVariant;
    }
    interface CheckboxProps {
        variant?: import("@mantine/core").CheckboxVariant | SurrealVariant | "gradient";
    }
    interface RadioProps {
        variant?: import("@mantine/core").RadioVariant | SurrealVariant | "gradient";
    }
    interface PasswordInputProps {
        variant?: import("@mantine/core").InputVariant | SurrealInputVariant;
    }
    interface PinInputProps {
        variant?: import("@mantine/core").InputVariant | SurrealInputVariant;
    }
    interface NavLinkProps {
        variant?: import("@mantine/core").NavLinkVariant | SurrealVariant;
    }
    interface PaperProps {
        variant?: SurrealVariant | "glass" | "gradient";
    }
    interface ScrollAreaProps {
        variant?: SurrealVariant;
    }
    interface TooltipProps {
        variant?: SurrealVariant;
    }
    interface PopoverDropdownProps {
        variant?: SurrealVariant | "transparent";
    }
    interface HoverCardDropdownProps {
        variant?: SurrealVariant | "transparent";
    }
    interface MenuDropdownProps {
        variant?: SurrealVariant;
    }
    interface LoaderProps {
        variant?: SurrealVariant;
    }
    interface ModalProps {
        variant?: SurrealVariant | "glass";
    }
    interface OverlayProps {
        variant?: SurrealVariant;
    }
    interface SkeletonProps {
        variant?: SurrealVariant;
    }
    interface SegmentedControlProps {
        variant?: "gradient";
    }
    interface KbdProps {
        variant?: SurrealVariant;
    }
    interface SwitchProps {
        variant?: SurrealVariant | "gradient";
    }
    interface TitleProps {
        variant?: "gradient" | "surreal-gradient";
    }
    interface PaginationProps {
        variant?: SurrealVariant;
    }
    interface TabsProps {
        variant?: "default" | "outline" | "pills" | "gradient" | SurrealVariant;
    }
    interface TableProps {
        variant?: SurrealVariant;
    }
    interface NotificationProps {
        variant?: SurrealVariant | "spaced";
    }
}

declare module "@mantine/core" {
    type ExtendedCustomColors = "obsidian" | "slate" | import("@mantine/core").DefaultMantineColor;
    interface MantineThemeColorsOverride {
        colors: Record<ExtendedCustomColors, import("@mantine/core").MantineColorsTuple>;
    }
}

declare module "@mantine/core" {
    type ExtendedCustomSizes = import("@mantine/core").DefaultMantineSize | "2xl" | "3xl";
    interface MantineThemeSizesOverride {
        spacing: Record<ExtendedCustomSizes, string>;
    }
}
